#ifndef CCTRLCASSETTE_H
#define CCTRLCASSETTE_H

#include "cmwidget.h"

#include <QVBoxLayout>
#include "cctrlcheckboxid.h"
#include "ccassette.h"
#include "cdlgcasslotstatuset.h"
#include <QPushButton>

class CCtrlCassette : public CMWidget
{
    Q_OBJECT
public:
    explicit CCtrlCassette(QWidget *parent = 0);
    ~CCtrlCassette();
    void MTimeFresh();
    int m_iCurSlotCount;
    QVBoxLayout* m_pLayOut;
    typedef struct _slotCtrl
    {
        CCtrlCheckBoxID* pCheckBox;
        int Slotstatus;

        _slotCtrl()
        {
            pCheckBox=0;
            Slotstatus=NOWP;
        }
    }slotCtrl;
    QMMutexVector<slotCtrl> m_vSlotCtrls;
    void ClearSlotCtrls();
	//QPushButton* m_pCasslotStatusBtn;
    QPushButton* m_pCheckboxBtn;
    CASSSLOT* m_pCurCheckSlot;
signals:

public slots:
    void CheckBoxBtn_Clicked(bool bchecked);
    void SlotButton_Clicked(int iID, bool istate);
	void CasslotStatusBtn_Clicked(bool);
private:
	CDlgCasslotStatuSet* m_pDlgCasslotStatuSet;
};

#endif // CCTRLCASSETTE_H
